using System;

namespace RenderHeads.Media.AVProVideo
{
	public class Subtitle
	{
		public bool IsBefore(float time)
		{
			return time > (float)this.timeStartMs && time > (float)this.timeEndMs;
		}

		public bool IsTime(float time)
		{
			return time >= (float)this.timeStartMs && time < (float)this.timeEndMs;
		}

		public int index;

		public string text;

		public int timeStartMs;

		public int timeEndMs;
	}
}
